{% extends 'index.html' %}
{% load static %}

{% block title %}Сообщения{% endblock title %}
{% block theme-css-files %}
  <link href="{% static 'css/datepicker.css' %}" rel="stylesheet" type="text/css"/>
{% endblock %}



  
{% block page %}
<div id="messages" class="cars" v-cloak>
 <div class="section section_default">
   <div class="section__content">
     <div class="section__header header header_listing">
       <div class="header__main">
         <h1>Сообщения<span class="section__count">${ count }</span></h1>
       </div>

       <div class="header__controls">
         <div class="field">
           <div class="control control_default control_m">
             <input v-on:keyup.enter="search_user" v-model="searchUser" type="text">
             <div class="control__icon icon icon_24 icon_default searchuser">
               <svg>
                 <use xlink:href="#icon_search_24"></use>
               </svg>
             </div>
           </div>
         </div>
       </div>
     </div>
     <p v-on:click="showDialog" >показать еще</p>
     <span v-for="user in object_list">
       ${ user.user_fid }
       ${ user.user_fid }
     </span>
     {% for user in users %}
        <div class="go_room" id="{{user.id}}">
          <a href="/message/view/{{user.id}}">{{user}}</a>
          {% if user.user_sid.all.0.text %} 
            {{user.user_sid.all.0.text}}
          {% endif %}
          {% if user.user_fid.all.0.text %} 
            {{user.user_fid.all.0.text}}
          {% endif %}
        </div>
       {% endfor %}
   </div>
 </div>
</div>
{% endblock %}

{% block script %}
  {{ block.super }}
  <script>
    var store = {
      state: {
        filter: ''
      }
    }
  </script>
  <script src="{% static 'js/messagelist.bundle.js' %}"></script>
{% endblock %}